%global momorel 31
%global emacsver 23.2
%global e_sitedir %{_datadir}/emacs/site-lisp

Summary: RPM Spec File mode for Emacs
Name: elisp-rpm-mode
Version: 1.38
Release: %{momorel}m%{?dist}
License: GPLv2+
Group: Applications/Editors
URL: http://www.karaba.org/~mk/rpm/rpm.html
#Source0: http://www.karaba.org/~mk/rpm/rpm-mode.el.gz
#NoSource: 0
Source0: rpm-mode.el
Patch0: rpm-mode-font-lock-keywords.patch
Patch1: rpm-mode-C-c-d.patch
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: emacs >= %{emacsver}
Requires: emacs >= %{emacsver}
Obsoletes: rpm-mode-emacs
Obsoletes: rpm-mode-xemacs

%description
rpm-mode is Emacs Lisp for editing RPM spec file.

%prep
%setup -q -c -T 0
cp -p %{SOURCE0} .
%patch0 -p0 -b .original
%patch1 -p0 -b .c-c-d

%build
emacs -q -no-site-file -batch -f batch-byte-compile rpm-mode.el

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{e_sitedir}
install -m 644 rpm-mode.el %{buildroot}%{e_sitedir}
install -m 644 rpm-mode.elc %{buildroot}%{e_sitedir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{e_sitedir}/rpm-mode.el*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.38-31m)
- full rebuild for mo7 release

* Sun Jun 13 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.38-30m)
- rebuild against emacs-23.2

* Tue Mar 16 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.38-29m)
- merge rpm-mode-emacs to elisp-rpm-mode
- kill rpm-mode-xemacs

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.38-28m)
- rebuild against gcc-4.4 and glibc-2.11

* Sun Aug  9 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.38-27m)
- rebuild against emacs-23.1

* Sun May 03 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.38-26m)
- rebuild against emacs-23.0.93

* Thu Apr 02 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.38-25m)
- rebuild against emacs-23.0.92

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.38-24m)
- rebuild against rpm-4.6

* Sun Sep 07 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.38-23m)
- rebuild against emacs-22.3

* Thu Jul 24 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.38-22m)
- rebuild against xemacs-21.5.28
- use %%{sitepdir}

* Sat Apr 19 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.38-21m)
- rebuild against emacs-22.2

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.38-20m)
- rebuild against gcc43

* Sat Jun 30 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.38-19m)
- rebuild against xemacs-21.4.20 and xemacs-sumo-2007.04.27

* Sun Jun  3 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.38-18m)
- rebuild against emacs-22.1

* Sun Mar  4 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.38-17m)
- add rpm-mode-C-c-d.patch

* Sun Mar  4 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.38-16m)
- rebuild against emacs-22.0.95

* Sun Feb 25 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.38-15m)
- rebuild against emacs-22.0.94

* Fri Dec 22 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.38-14m)
- rebuild against emacs-22.0.92

* Thu Nov 23 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.38-13m)
- rebuild against emacs-22.0.91

* Sun Oct 29 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.38-12m)
- rebuild against emacs-22.0.90

* Fri Feb 18 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.38-11m)
- use %%{e_sitedir} %%{xe_sitedir}.
- xemacs elisps destination is moved from %%{_libdir} to %%{_datadir}.

* Sat Feb 12 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.38-10m)
- rebuild against emacs 22.0.50

* Sun Nov 21 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.38-9m)
- rebuild against emacs-21.3.50

* Fri Dec 26 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.38-8m)
- modify patch0 again.

* Sat Dec 20 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.38-7m)
- modify patch0 again.

* Wed Dec 17 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.38-6m)
- modify patch0

* Wed Apr  2 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.38-5m)
- modify patch0

* Wed Mar 26 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.38-4m)
- modify fontify keywords. (add patch0)

* Thu Mar 20 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.38-2m)
- rebuild against emacs-21.3
- use %%{_prefix} %%{_datadir} %%{_libdir} macro

* Sat Jul  6 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.38-1m)
